Subject: bug#17987: closed (Re: bug#24635: 24.5; Missing preview of entered unicode codepoints (C-q codepoint SPC))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Nov 2016 10:12:02 +0000

Your bug report

#24635: 24.3.92; C-q does not echo itself and the following input

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24635: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24635
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24635: 24.5; Missing preview of entered unicode codepoints (C-q codepoint SPC)
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 25 Nov 2016 12:10:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 21 Nov 2016 18:54:12 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > Failing that, I'm inclined to go back to using read-event in
> > > read-quoted-char.  After all, we didn't have any bug reports due to
> > > that, and the echo is a valuable feature, IMO.
> > 
> > Indeed, the scenarios where read-key is preferable to read-event in the
> > context of read-quoted-char are fairly hypothetical.
> > 
> > So, we should probably revert that for now, but adding a comment about
> > why we don't use read-key.
> 
> OK, will do in a couple of days if no one objects.

Done on the release branch.

> The commit I pointed to made 2 more changes in read-quoted-char,
> related to the way unread-command-events is set.  I understand that
> those two changes also need to be reverted when we go back to using
> read-event, right?

I reverted those as well.

Subject: 24.3.92; C-q does not echo itself and the following input
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Date: Thu, 10 Jul 2014 18:28:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:

  emacs -Q
  C-q 7 7 7

Emacs should echo both C-q and the input you type afterwards, but it
doesn't.  This is a regression since Emacs 24.3.

In GNU Emacs 24.3.92.26 (i686-pc-mingw32)
 of 2014-07-08 on HOME-C4E4A596F7
Repository revision: 117362 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --prefix=/d/usr --enable-checking=yes,glyphs 'CFLAGS=-O0
 -gdwarf-2 -g3''

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-q 7 7 7 SPC M-x r e p o r t - e m <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 8 74304 7095)
 (symbols 32 17537 0)
 (miscs 32 33 159)
 (strings 16 10771 4223)
 (string-bytes 1 269377)
 (vectors 8 9587)
 (vector-slots 4 386191 3174)
 (floats 8 57 279)
 (intervals 28 240 28)
 (buffers 508 11))